Google is committed to advancing racial equity for Black communities. See how.
This page was translated by the Cloud Translation API.
Switch to English

กระดานข่าวความปลอดภัยของ Android - พฤษภาคม 2019

เผยแพร่เมื่อ 6 พฤษภาคม 2019 | อัปเดตเมื่อวันที่ 6 พฤษภาคม 2019

กระดานข่าวความปลอดภัยของ Android มีรายละเอียดของช่องโหว่ด้านความปลอดภัยที่ส่งผลต่ออุปกรณ์ Android แพตช์ความปลอดภัยระดับ 2019-05-05 หรือใหม่กว่าช่วยแก้ปัญหาเหล่านี้ทั้งหมด หากต้องการเรียนรู้วิธีตรวจสอบระดับแพตช์ความปลอดภัยของอุปกรณ์โปรดดู ตรวจสอบและอัปเดตเวอร์ชัน Android ของคุณ

พาร์ทเนอร์ Android จะได้รับแจ้งเกี่ยวกับปัญหาทั้งหมดอย่างน้อยหนึ่งเดือนก่อนการเผยแพร่ แพตช์ซอร์สโค้ดสำหรับปัญหาเหล่านี้ได้รับการเผยแพร่ไปยังที่เก็บ Android Open Source Project (AOSP) และเชื่อมโยงจากกระดานข่าวสารนี้ กระดานข่าวสารนี้ยังมีลิงก์ไปยังแพตช์ภายนอก AOSP

ปัญหาที่รุนแรงที่สุดคือช่องโหว่ด้านความปลอดภัยที่สำคัญใน Media framework ที่สามารถเปิดใช้งานผู้โจมตีระยะไกลโดยใช้ไฟล์ที่สร้างขึ้นมาเป็นพิเศษเพื่อเรียกใช้รหัสโดยพลการภายในบริบทของกระบวนการที่มีสิทธิพิเศษ การ ประเมินความรุนแรง ขึ้นอยู่กับผลกระทบของการใช้ประโยชน์จากช่องโหว่ที่อาจเกิดขึ้นกับอุปกรณ์ที่ได้รับผลกระทบโดยสมมติว่าแพลตฟอร์มและการลดการให้บริการถูกปิดเพื่อวัตถุประสงค์ในการพัฒนาหรือหากข้ามได้สำเร็จ

เราไม่มีรายงานเกี่ยวกับการแสวงหาประโยชน์จากลูกค้าหรือการละเมิดปัญหาที่รายงานใหม่เหล่านี้ โปรดดูส่วนการ ลดการป้องกัน ของ Android และ Google Play สำหรับรายละเอียดเกี่ยวกับการ ป้องกันแพลตฟอร์มความปลอดภัยของ Android และ Google Play Protect ซึ่งปรับปรุงความปลอดภัยของแพลตฟอร์ม Android

หมายเหตุ: ข้อมูลเกี่ยวกับการอัปเดตแบบ over-the-air (OTA) ล่าสุดและอิมเมจเฟิร์มแวร์สำหรับอุปกรณ์ Google มีอยู่ใน Pixel Update Bulletin ประจำเดือนพฤษภาคม 2019

การบรรเทาบริการ Android และ Google

นี่คือบทสรุปของการบรรเทาที่ได้รับจาก แพลตฟอร์มความปลอดภัยของ Android และการปกป้องบริการเช่น Google Play Protect ความสามารถเหล่านี้ช่วยลดโอกาสที่ช่องโหว่ด้านความปลอดภัยอาจถูกใช้ประโยชน์บน Android ได้สำเร็จ

  • การแสวงหาประโยชน์จากปัญหาต่างๆบน Android ทำได้ยากขึ้นโดยการปรับปรุงในแพลตฟอร์ม Android เวอร์ชันใหม่กว่า เราขอแนะนำให้ผู้ใช้ทุกคนอัปเดตเป็น Android เวอร์ชันล่าสุดหากเป็นไปได้
  • ทีมรักษาความปลอดภัยของ Android คอยตรวจสอบการละเมิดผ่าน Google Play Protect และเตือนผู้ใช้เกี่ยวกับ แอปพลิเคชันที่อาจเป็นอันตราย Google Play Protect จะเปิดใช้งานโดยค่าเริ่มต้นบนอุปกรณ์ที่มี บริการ Google Mobile และมีความสำคัญอย่างยิ่งสำหรับผู้ใช้ที่ติดตั้งแอปจากภายนอก Google Play

2019-05-01 รายละเอียดช่องโหว่ระดับแพตช์ความปลอดภัย

ในส่วนด้านล่างเราให้รายละเอียดสำหรับช่องโหว่ด้านความปลอดภัยแต่ละรายการที่ใช้กับระดับแพตช์ 2019-05-01 ช่องโหว่ถูกจัดกลุ่มภายใต้องค์ประกอบที่มีผลกระทบ มีคำอธิบายของปัญหาและตารางที่มี CVE ข้อมูลอ้างอิงที่เกี่ยวข้อง ประเภทของช่องโหว่ ความรุนแรง และเวอร์ชัน AOSP ที่อัปเดต (หากมี) เมื่อมีให้เราเชื่อมโยงการเปลี่ยนแปลงสาธารณะที่แก้ไขปัญหากับรหัสข้อบกพร่องเช่นรายการการเปลี่ยนแปลง AOSP เมื่อการเปลี่ยนแปลงหลายอย่างเกี่ยวข้องกับจุดบกพร่องเดียวการอ้างอิงเพิ่มเติมจะเชื่อมโยงกับตัวเลขตามรหัสข้อบกพร่อง

กรอบ

ช่องโหว่ในส่วนนี้อาจทำให้แอปพลิเคชันที่เป็นอันตรายในพื้นที่สามารถข้ามข้อกำหนดในการโต้ตอบกับผู้ใช้เพื่อเข้าถึงสิทธิ์เพิ่มเติม

CVE อ้างอิง ประเภท ความรุนแรง อัปเดตเวอร์ชัน AOSP
CVE-2019-2043 A-120484087 EoP ปานกลาง 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9

กรอบสื่อ

ช่องโหว่ในส่วนนี้สามารถเปิดใช้งานผู้โจมตีระยะไกลโดยใช้ไฟล์ที่สร้างขึ้นมาเป็นพิเศษเพื่อเรียกใช้รหัสโดยพลการภายในบริบทของกระบวนการที่มีสิทธิพิเศษ

CVE อ้างอิง ประเภท ความรุนแรง อัปเดตเวอร์ชัน AOSP
CVE-2019-2044 A-123701862 RCE สำคัญ 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9

ระบบ

ช่องโหว่ที่รุนแรงที่สุดในส่วนนี้สามารถเปิดใช้งานผู้โจมตีระยะไกลโดยใช้ไฟล์ PAC ที่สร้างขึ้นมาเป็นพิเศษเพื่อเรียกใช้รหัสโดยพลการภายในบริบทของกระบวนการที่มีสิทธิพิเศษ

CVE อ้างอิง ประเภท ความรุนแรง อัปเดตเวอร์ชัน AOSP
CVE-2019-2045 A-117554758 RCE สำคัญ 7.0, 7.1.1, 7.1.2, 8.1, 9
CVE-2019-2046 A-117556220 RCE สำคัญ 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2047 A-117607414 RCE สำคัญ 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2049 A-120445479 EoP สูง 9
CVE-2019-2050 A-121327323 EoP สูง 8.0, 8.1, 9
CVE-2019-2051 A-117555811 ID สูง 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2052 A-117556606 ID สูง 7.0, 7.1.1, 7.1.2, 8.1, 9
CVE-2019-2053 A-122074159 ID สูง 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9

2019-05-05 รายละเอียดช่องโหว่ระดับแพตช์ความปลอดภัย

ในส่วนด้านล่างเราให้รายละเอียดสำหรับช่องโหว่ด้านความปลอดภัยแต่ละรายการที่ใช้กับระดับแพตช์ 2019-05-05 ช่องโหว่จะถูกจัดกลุ่มภายใต้องค์ประกอบที่มีผลกระทบและรวมถึงรายละเอียดต่างๆเช่น CVE การอ้างอิงที่เกี่ยวข้อง ประเภทของช่องโหว่ ความรุนแรง องค์ประกอบ (หากมี) และเวอร์ชัน AOSP ที่อัปเดต (หากมี) เมื่อมีเราจะเชื่อมโยงการเปลี่ยนแปลงสาธารณะที่แก้ไขปัญหากับรหัสข้อบกพร่องเช่นรายการการเปลี่ยนแปลง AOSP เมื่อการเปลี่ยนแปลงหลายอย่างเกี่ยวข้องกับจุดบกพร่องเดียวการอ้างอิงเพิ่มเติมจะเชื่อมโยงกับตัวเลขตามรหัสข้อบกพร่อง

ส่วนประกอบเคอร์เนล

ช่องโหว่ในส่วนนี้อาจทำให้ผู้โจมตีในพื้นที่สามารถเพิ่มสิทธิ์โดยไม่จำเป็นต้องมีสิทธิ์ในการดำเนินการเพิ่มเติมภายในบริบทของกระบวนการที่มีสิทธิพิเศษ

CVE อ้างอิง ประเภท ความรุนแรง ส่วนประกอบ
CVE-2019-2054 A-119769499 * EoP ปานกลาง seccomp

ส่วนประกอบ NVIDIA

ช่องโหว่ในส่วนนี้อาจทำให้ผู้โจมตีในพื้นที่สามารถยกระดับสิทธิ์ได้ (พร้อมสิทธิ์ในการดำเนินการเพิ่มเติมที่จำเป็น) และเรียกใช้รหัสตามอำเภอใจภายในบริบทของกระบวนการที่มีสิทธิพิเศษ

CVE อ้างอิง ประเภท ความรุนแรง ส่วนประกอบ
CVE-2018-6243 A-72315075 * EoP สูง Pixel C TrustZone

ส่วนประกอบของ Broadcom

ช่องโหว่ในส่วนนี้สามารถเปิดใช้งานผู้โจมตีระยะไกลโดยใช้การส่งที่ออกแบบมาเป็นพิเศษเพื่อรันโค้ดภายในบริบทของกระบวนการที่มีสิทธิพิเศษ

CVE อ้างอิง ประเภท ความรุนแรง ส่วนประกอบ
CVE-2018-19860 A-122249979 * RCE สูง เฟิร์มแวร์บลูทู ธ

ส่วนประกอบ Qualcomm

ช่องโหว่เหล่านี้ส่งผลกระทบต่อส่วนประกอบของ Qualcomm และมีการอธิบายรายละเอียดเพิ่มเติมในกระดานข่าวความปลอดภัยของ Qualcomm หรือการแจ้งเตือนด้านความปลอดภัย การประเมินความรุนแรงของปัญหาเหล่านี้จัดทำโดย Qualcomm โดยตรง

CVE อ้างอิง ประเภท ความรุนแรง ส่วนประกอบ
CVE-2018-11955 A-78528839
QC-CR # 2249768
ไม่มี สูง ไดรเวอร์ WLAN
CVE-2018-13919 A-120486022
QC-CR # 2289598
ไม่มี สูง ข้อมูล HLOS - LNX
CVE-2018-11819 A-112277301
QC-CR # 2176354
ไม่มี ปานกลาง ไดรเวอร์ WLAN

ส่วนประกอบปิดของ Qualcomm

ช่องโหว่เหล่านี้ส่งผลกระทบต่อคอมโพเนนต์ปิดของ Qualcomm และมีการอธิบายรายละเอียดเพิ่มเติมในประกาศความปลอดภัยของ Qualcomm หรือการแจ้งเตือนด้านความปลอดภัย การประเมินความรุนแรงของปัญหาเหล่านี้จัดทำโดย Qualcomm โดยตรง

CVE อ้างอิง ประเภท ความรุนแรง ส่วนประกอบ
CVE-2018-5912 A-114074547 * ไม่มี สำคัญ องค์ประกอบปิด
CVE-2018-13898 A-119050181 * ไม่มี สำคัญ องค์ประกอบปิด
CVE-2019-2255 A-122474428 * ไม่มี สำคัญ องค์ประกอบปิด
CVE-2019-2256 A-114067283 * ไม่มี สำคัญ องค์ประกอบปิด
CVE-2018-13901 A-119049466 * ไม่มี สูง องค์ประกอบปิด
CVE-2018-13902 A-119050073 * ไม่มี สูง องค์ประกอบปิด
CVE-2018-13906 A-119049388 * ไม่มี สูง องค์ประกอบปิด
CVE-2018-13907 A-119050001 * ไม่มี สูง องค์ประกอบปิด
CVE-2018-13908 A-119049623 * ไม่มี สูง องค์ประกอบปิด
CVE-2018-13909 A-119051002 * ไม่มี สูง องค์ประกอบปิด
CVE-2018-13910 A-119050182 * ไม่มี สูง องค์ประกอบปิด
CVE-2018-13911 A-119052037 * ไม่มี สูง องค์ประกอบปิด
CVE-2018-5913 A-122472140 * ไม่มี สูง องค์ประกอบปิด
CVE-2019-2257 A-112303441 * ไม่มี สูง องค์ประกอบปิด
CVE-2019-2259 A-123997497 * ไม่มี สูง องค์ประกอบปิด

คำถามและคำตอบทั่วไป

ส่วนนี้ตอบคำถามทั่วไปที่อาจเกิดขึ้นหลังจากอ่านกระดานข่าวสารนี้

1. ฉันจะทราบได้อย่างไรว่าอุปกรณ์ของฉันได้รับการอัปเดตเพื่อแก้ไขปัญหาเหล่านี้หรือไม่?

หากต้องการเรียนรู้วิธีตรวจสอบระดับแพตช์ความปลอดภัยของอุปกรณ์โปรดดู ตรวจสอบและอัปเดตเวอร์ชัน Android ของคุณ

  • ระดับแพตช์ความปลอดภัยตั้งแต่วันที่ 2019-05-01 ขึ้นไปแก้ไขปัญหาทั้งหมดที่เกี่ยวข้องกับระดับแพตช์ความปลอดภัย 2019-05-01
  • ระดับแพตช์ความปลอดภัยตั้งแต่ 2019-05-05 ขึ้นไปจะแก้ไขปัญหาทั้งหมดที่เกี่ยวข้องกับระดับแพตช์ความปลอดภัย 2019-05-05 และระดับแพตช์ก่อนหน้าทั้งหมด

ผู้ผลิตอุปกรณ์ที่มีการอัปเดตเหล่านี้ควรตั้งค่าระดับสตริงโปรแกรมแก้ไขเป็น:

  • [ro.build.version.security_patch]: [2019-05-01]
  • [ro.build.version.security_patch]: [2019-05-05]

2. เหตุใดแถลงการณ์นี้จึงมีแพตช์ความปลอดภัยสองระดับ

กระดานข่าวนี้มีแพตช์ความปลอดภัยสองระดับเพื่อให้พาร์ทเนอร์ Android มีความยืดหยุ่นในการแก้ไขช่องโหว่ส่วนย่อยที่คล้ายกันในอุปกรณ์ Android ทั้งหมดได้เร็วขึ้น ขอแนะนำให้พันธมิตร Android แก้ไขปัญหาทั้งหมดในกระดานข่าวสารนี้และใช้ระดับแพตช์ความปลอดภัยล่าสุด

  • อุปกรณ์ที่ใช้ระดับแพตช์ความปลอดภัย 2019-05-01 ต้องมีปัญหาทั้งหมดที่เกี่ยวข้องกับระดับแพตช์ความปลอดภัยนั้นรวมถึงการแก้ไขปัญหาทั้งหมดที่รายงานในกระดานข่าวความปลอดภัยก่อนหน้านี้
  • อุปกรณ์ที่ใช้แพตช์ความปลอดภัยระดับ 2019-05-05 หรือใหม่กว่าต้องมีแพตช์ที่เกี่ยวข้องทั้งหมดในกระดานข่าวความปลอดภัยนี้ (และก่อนหน้า)

พันธมิตรได้รับการสนับสนุนให้รวมการแก้ไขสำหรับปัญหาทั้งหมดที่กำลังแก้ไขอยู่ในการอัปเดตเดียว

3. รายการในคอลัมน์ Type หมายถึงอะไร?

รายการในคอลัมน์ Type ของตารางรายละเอียดช่องโหว่จะอ้างอิงการจัดประเภทของช่องโหว่ด้านความปลอดภัย

ตัวย่อ คำจำกัดความ
RCE การเรียกใช้รหัสระยะไกล
EoP การยกระดับสิทธิพิเศษ
ID การเปิดเผยข้อมูล
DoS การปฏิเสธการให้บริการ
ไม่มี ไม่มีการจัดประเภท

4. รายการในคอลัมน์ อ้างอิง หมายถึงอะไร?

รายการในคอลัมน์ การอ้างอิง ของตารางรายละเอียดช่องโหว่อาจมีคำนำหน้าที่ระบุองค์กรที่มีค่าอ้างอิง

คำนำหน้า ข้อมูลอ้างอิง
ก - รหัสข้อบกพร่องของ Android
QC- หมายเลขอ้างอิงของ Qualcomm
M- หมายเลขอ้างอิง MediaTek
N- หมายเลขอ้างอิง NVIDIA
B- หมายเลขอ้างอิงของ Broadcom

5. เครื่องหมาย * ถัดจากรหัสข้อบกพร่องของ Android ในคอลัมน์ การอ้างอิง หมายถึงอะไร?

ปัญหาที่ไม่เปิดเผยต่อสาธารณะจะมีเครื่องหมาย * ถัดจากรหัสข้อบกพร่องของ Android ในคอลัมน์ การอ้างอิง โดยทั่วไปการอัปเดตสำหรับปัญหานั้นจะมีอยู่ในโปรแกรมควบคุมไบนารีล่าสุดสำหรับอุปกรณ์ Pixel ที่มีอยู่ใน ไซต์ Google Developer

6. เหตุใดช่องโหว่ด้านความปลอดภัยจึงแยกระหว่างกระดานข่าวนี้กับกระดานข่าวความปลอดภัยของอุปกรณ์ / พันธมิตรเช่นกระดานข่าว Pixel

ช่องโหว่ด้านความปลอดภัยที่บันทึกไว้ในกระดานข่าวความปลอดภัยนี้จำเป็นสำหรับการประกาศระดับแพตช์ความปลอดภัยล่าสุดบนอุปกรณ์ Android ช่องโหว่ด้านความปลอดภัยเพิ่มเติมที่บันทึกไว้ในกระดานข่าวความปลอดภัยของอุปกรณ์ / พันธมิตรไม่จำเป็นสำหรับการประกาศระดับแพตช์ความปลอดภัย ขอแนะนำให้ผู้ผลิตอุปกรณ์และชิปเซ็ต Android บันทึกการมีอยู่ของการแก้ไขอื่น ๆ บนอุปกรณ์ของตนผ่านเว็บไซต์ด้านความปลอดภัยของตนเองเช่นประกาศความปลอดภัยของ Samsung , LGE หรือ Pixel

เวอร์ชัน

เวอร์ชัน วันที่ หมายเหตุ
1.0 6 พฤษภาคม 2019 เผยแพร่แถลงการณ์แล้ว
1.1 6 พฤษภาคม 2019 ปรับปรุงกระดานข่าวสารเพื่อรวมลิงก์ AOSP